<?php
defined('CONF_URL_APP') or die;

$campos = $frm_sel->getCampos();

?>

<div class="widget home">
  <div class="error frm_err_<?php echo $frm_sel->id;?>" style="display:none;"><span></span></div>
  <form name="<?php echo $frm_sel->nombre;?>" method="post" enctype="multipart/form-data" id="formulario_<?php echo $frm_sel->id;?>" action="<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS.'/'.$_GET['extension'].'/mailer/phpmailer-fe.php';?>" target="_blank">
    <input type="hidden" name="recipient" value="<?php echo $params_frm['emailto'];?>" />
    <input type="hidden" name="fixedFromEmail" value="<?php echo $params_frm['emailfrom'];?>" />
    <input type="hidden" name="subject" value="<?php echo $params_frm['asunto'];?>" />
    <input type="hidden" name="cc" value="<?php echo $params_frm['emailcc'];?>" />
    <input type="hidden" name="bcc" value="<?php echo $params_frm['emailbcc'];?>" />
    <input type="hidden" name="referer" value="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>" />
    <?php foreach ($campos as $campo){
	  if ($campo->obligatorio == 1){
		$class_validation = ' required';   
	  } else {
		 $class_validation = ''; 
	  }
	  ?>
    <?php if ($campo->tipo == 'separator'){?>
    <?php echo SistemaIdioma::Imprimir($campo->contenido);?>
    <?php } elseif ($campo->tipo == 'option'){?>
    <div class="content_campo">
      <label for="<?php echo $campo->nombre;?>" class="text_gris_oscuro">
        <input type="radio" name="<?php echo $campo->nombre;?>" value="<?php echo $campo->valor;?>" class="<?php echo $class_validation;?>">
        <?php echo SistemaIdioma::Imprimir($campo->label);?></label>
    </div>
    <?php } elseif ($campo->tipo == 'text'){?>
    <div class="content_campo">
      <input type="text" name="<?php echo $campo->nombre;?>" placeholder="<?php echo SistemaIdioma::Imprimir($campo->label);?>" id="<?php echo $campo->nombre;?>" class="hasPlaceholder<?php echo $class_validation;?>">
    </div>
    <?php } elseif ($campo->tipo == 'textarea'){?>
    <div class="content_campo">
      <textarea name="<?php echo $campo->nombre;?>" cols="" rows="" placeholder="<?php echo SistemaIdioma::Imprimir($campo->label);?>" class="<?php echo $class_validation;?>"></textarea>
    </div>
    <?php } elseif ($campo->tipo == 'upload'){?>
    <div class="content_campo">
      <input type="file" name="<?php echo $campo->nombre;?>" id="<?php echo $campo->nombre;?>" class="<?php echo $class_validation;?>">
    </div>
    <?php } elseif ($campo->tipo == 'button'){?>
    <div class="boton">
      <input name="<?php echo $campo->nombre;?>" type="submit" value="<?php echo SistemaIdioma::Imprimir($campo->label);?>">
    </div>
    <?php } else { ?>
    <div class="content_campo">
      <input type="text" name="<?php echo $campo->nombre;?>" placeholder="<?php echo SistemaIdioma::Imprimir($campo->label);?>" id="<?php echo $campo->nombre;?>" class="hasPlaceholder<?php echo $class_validation;?>">
    </div>
    <?php } ?>
    <?php } ?>
  </form>
  <script>
$(document).ready(function() {
	$.validator.messages.required = "";
	$('#formulario_<?php echo $frm_sel->id;?>').validate({
		highlight: function(element, errorClass, validClass) {
			 $(element).addClass(errorClass).removeClass(validClass);
		  },
		  unhighlight: function(element, errorClass, validClass) {
			 $(element).removeClass(errorClass).addClass(validClass);
		  },
		  invalidHandler: function(e, validator) {
			var errors = validator.numberOfInvalids();
			if (errors) {
				var message = errors == 1
					? '<?php echo __('Falta por rellenar 1 campo obligatorio. Se ha destacado en el formulario');?>'
					: '<?php echo __('Faltan por rellenar');?> ' + errors + ' <?php echo __('campos obligatorios. Se han destacado en el formulario');?>';
				
				alert(message);
			}
		},
		submitHandler: function(form) {
			form.submit();
			return false;
	   }
	});
});
</script> 
</div>
