<?php
defined('CONF_URL_APP') or die;

global $muzzim;

if (!empty($this->profesionales->titulo_dinamico))
	$titulo_pagina = $this->profesionales->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = __('Profesionales');
	else
		$titulo_pagina = $titulo_html;
		
?>
<?php if ($this->profesionales->total_items == 1){ $title = __('Profesional'); } else { $title = __('Profesionales'); }?>

<div class="page-header">
  <h1><?php echo $titulo_pagina;?></h1>
</div>
<?php if ($this->profesionales->items != false){?>
<?php
  	$arr_filtro = array();
	
	if (!empty($muzzim->profesionales->filtro_region))
		$arr_filtro['region'] = Region::BuscarObjPorId($muzzim->profesionales->filtro_region)->getalias();
	
	if (!empty($muzzim->profesionales->filtro_provincia))
		$arr_filtro['provincia'] = Provincia::BuscarObjPorId($muzzim->profesionales->filtro_provincia)->getalias();
	
	if (!empty($muzzim->profesionales->filtro_localidad))
		$arr_filtro['localidad'] = Localidad::BuscarObjPorId($muzzim->profesionales->filtro_localidad)->getalias();
		
	$arr_filtro['orden'] = 'nuevo';
  ?>
<div class="btn-toolbar">
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Orden');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->profesionales->orden_alias=='nuevo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_profesionales(true,$arr_filtro,true);?>"><?php echo __('Nuevo');?></a></li>
      <?php $arr_filtro['orden'] = 'antiguo'; ?>
      <li><a <?php if ($this->profesionales->orden_alias=='antiguo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_profesionales(true,$arr_filtro,true);?>"><?php echo __('Antiguo');?></a></li>
      <?php $arr_filtro['orden'] = 'a-z'; ?>
      <li><a <?php if ($this->profesionales->orden_alias=='a-z'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_profesionales(true,$arr_filtro,true);?>"><?php echo __('Título A-Z');?></a></li>
      <?php $arr_filtro['orden'] = 'z-a'; ?>
      <li><a <?php if ($this->profesionales->orden_alias=='z-a'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_profesionales(true,$arr_filtro,true);?>"><?php echo __('Título Z-A');?></a></li>
    </ul>
  </div>
  <div class="num_posts pull-left label label-info"> <span><?php echo $this->profesionales->total_items;?></span> <?php echo $title;?> </div>
  <div class="clearfix"></div>
</div>
<?php 
$cuenta = 0;
foreach ($this->profesionales->items as $profesional){
	$params_profesionales = Helpers::toArray(json_decode($profesional->params));
		if (!empty($params_profesionales['imagen_destacada'])){
		$imagen = CONF_URL_APP.'image.php/'.$params_profesionales['imagen_destacada'].'?width=190&height=142&cropratio=190:142&image='.CONF_URL_APP.$params_profesionales['imagen_destacada'];
	}
	$localidad_actual = $profesional->localidad;
	
	    // Date changed
    //if($localidad_actual != $localidad_anterior) {
        // Unless first iteration, close previous list
        if(!empty($localidad_anterior)) {
            //echo '</dl>';
        }
		
	if (empty($profesional->creador_alias))
		$profesional->creador_alias = $profesional->getcreador(true);
		
	if (strlen(strip_tags(SistemaIdioma::Imprimir($profesional->contenido))) > 150){
		$desc = substr(strip_tags(SistemaIdioma::Imprimir($profesional->contenido)),0,150).'...';
	} else {
		$desc = strip_tags(SistemaIdioma::Imprimir($profesional->contenido));
	}
	?>
<?php
	if ($cuenta % 2 == 0 || $cuenta == 0){
	?>
<ul class="thumbnails">
  <?php } ?>
  <li class="span6">
    <div class="well">
      <div style="display:block">
        <?php if (!empty($params_profesionales['imagen_destacada'])){?>
        <div class="thumb" style="margin-right: 0px;"> <a href="<?php echo $profesional->getLink($this->construir_url_profesionales(false,'',true));?>"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $params_profesionales['imagen_destacada'];?>?width=350&height=270&cropratio=350:270&image=<?php echo CONF_URL_APP.$params_profesionales['imagen_destacada'];?>" alt="<?php echo $profesional->nombre;?>" > </a></div>
        <?php } ?>
        <h4><a href="<?php echo $profesional->getLink($this->construir_url_profesionales(false,'',true));?>"> <span> <?php echo strip_tags($profesional->nombre); ?> </span></a><br />
        <small>
          <?php $direccion = $profesional->direccion; if (!empty($direccion)){?>
          <strong><?php echo $direccion;?></strong><br />
          <?php } ?>
          <?php echo $profesional->getlocalidad().' ('.$profesional->getprovincia().')';?></small>
        </h4>
          
        <?php if (!empty($desc)){?>
        <div class="desc" style="display: inline-block;<?php if (!empty($img_dest)){?>width: 70%;<?php } ?>">
          <p><?php echo $desc;?></p>
        </div>
        <?php } ?>
        <?php if (!empty($profesional->tipo)){?>
          <small class="label pull-right"><?php echo $profesional->tipo;?></small>
          <div class="clearfix"></div>
          <?php } ?>
      </div>
    </div>
  </li>
  <?php 
  $cuenta++; ?>
  <?php
	if ($cuenta % 2 == 0 || $cuenta == count($this->profesionales->items)){
	?>
</ul>
<?php } ?>
<?php } ?>
</ul>
<?php } else { ?>
<p align="center"><?php echo __('No hay profesionales');?></p>
<?php } ?>
<?php if ($this->profesionales->paginacion != false){?>
<div class="breadcrumb">
<div class="pagination">
  <ul>
    <?php if ($this->profesionales->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_profesionales(true,array("page"=>$this->profesionales->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->profesionales->paginacion['seccion_inicio']; $i <= $this->profesionales->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->profesionales->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_profesionales(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->profesionales->paginacion['actual'] < $this->profesionales->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_profesionales(true,array("page"=>$this->profesionales->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
</div>
<?php } ?>
