<?php
defined('CONF_URL_APP') or die;
?>
<div class="page-header">
<h1><?php echo __('Cesta de la compra');?></h1>
</div>
<form id="frmCart" method="post" action="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>">
  <table width="100%" border="0" cellpadding="5" class="cesta table table-bordered table-striped">
    <tr>
      <th scope="col"></th>
      <th scope="col"></th>
      <th scope="col"><?php echo __('Producto');?></th>
      <th scope="col"><?php echo __('Precio/unidad');?></th>
      <th scope="col"><?php echo __('Cantidad');?></th>
      <th scope="col"><?php echo __('Precio');?></th>
    </tr>
    <?php if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {?>
    <?php 
	$total_cesta = 0;
	foreach ($this->carrito->get_carrito() as $cart_item_key=>$prod_cesta){
		$producto = new Producto();
		$producto->setid($prod_cesta['product_id']);
		$producto = $producto->BuscarId();
		
		$precio_total_producto = $producto->getprecio(true) * (int) $prod_cesta['cantidad'];
		
		$total_cesta += $precio_total_producto;
		
		?>
    <tr>
      <td class="borrar_producto_cesta"><a href="javascript:;" class="remove shop_removefromcart" __id_producto="<?php echo $producto->id;?>" __id_linea_cesta="<?php echo $cart_item_key;?>" __url_redirect="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>" title="<?php echo __('Borrar este producto');?>">×</a>
        <div class="msgAlert_<?php echo $producto->id;?>" style="display:none;">
          <p align="center"><?php echo __('¿Seguro que quieres borrar este producto de la cesta de la compra?');?></p>
        </div>
        <input name="cart[<?php echo $cart_item_key;?>][producto]" value="<?php echo $prod_cesta['producto'];?>" type="hidden" /></td>
      <td class="imagen_cesta"><a href="<?php echo $producto->getLink();?>" style="width: 90px;"> <img width="90" height="90" src="<?php echo CONF_URL_APP;?>image.php/<?php echo $producto->imagen_destacada;?>?width=90&heigth=90&cropratio=1:1&image=<?php echo CONF_URL_APP.$producto->imagen_destacada;?>" alt="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>" title="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>"> </a></td>
      <td class="nombre_cesta"><a href="<?php echo $producto->getLink();?>"><?php echo Sistemaidioma::Imprimir($producto->nombre);?></a><br />
        <small><b><?php echo __('SKU');?>: <?php echo $producto->sku;?></b></small></td>
      <td class="precio_unidad_cesta"><span class="importe"><?php echo Helpers::Importe($producto->getprecio(true));?> &euro;
        <?php if ($producto->getprecio_rebajado(true) > 0){?>
        <br />
        <span class="price_stroke"><?php echo Helpers::Importe($producto->getprecio());?> &euro;</span>
        <?php } ?>
        </span></td>
      <td class="cantidad_cesta"><div class="cantidad">
          <input type="text" name="cart[<?php echo $cart_item_key;?>][cantidad]" value="<?php echo $prod_cesta['cantidad'];?>" size="4" title="Cantidad" class="input cantidad-cesta" maxlength="12">
        </div></td>
      <td class="precio_cesta"><span class="importe"><?php echo Helpers::Importe($precio_total_producto);?> &euro;</span></td>
    </tr>
    <?php } ?>
    <div class="clearfix"></div>
    <?php 
  if ( sizeof( $this->carrito->get_carrito() ) > 0 ) {
	  ?>
    <tr>
      <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('Sub Total');?></span></td>
      <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->subtotal_ex_impuesto);?> &euro;</span></td>
    </tr>
    <?php if ($config_shop['impuestos']['activar_impuestos'] == '1' && $config_shop['impuestos']['mostrar_impuestos_carrito'] == '1'){?>
    <tr>
      <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('IVA 21%');?></span></td>
      <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->impuesto_total);?> &euro;</span></td>
    </tr>
    <?php } ?>
    <?php if ($this->carrito->mostrar_envio() == true && $this->carrito->necesita_envio() == true){?>
    <tr>
      <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo SistemaIdioma::Imprimir($this->carrito->envio_nombre);?></span></td>
      <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_total);?> &euro;</span></td>
    </tr>
    <tr>
      <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('IVA envío');?></span></td>
      <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->envio_impuesto_total);?> &euro;</span></td>
    </tr>
    <?php } ?>
    <tr>
      <td colspan="5" class="total_cesta_lbl" align="right"><span class="importe"><?php echo __('Total');?></span></td>
      <td class="total_cesta_importe"><span class="importe"><?php echo Helpers::Importe($this->carrito->total);?> &euro;</span></td>
    </tr>
    <?php } else { ?>
    <tr>
      <td colspan="6" align="center" class="noproducts"><?php echo __('No hay productos en la cesta');?></td>
    </tr>
    <?php } ?>
  </table>
  <input type="hidden" value="refreshcart" name="accion">
</form>
<div class="accordion" id="accordion2">
  <div class="accordion-group">
    <div class="accordion-heading"> <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne"> <?php echo __('Calcular impuestos y  gastos de envío');?> </a> </div>
    <div id="collapseOne" class="accordion-body collapse in">
      <div class="accordion-inner">
        <?php if ($this->config['envios']['activar_envios'] == '1' || $this->config['impuestos']['activar_impuestos'] == '1' ){?>
        <form id="frmEnvio" method="post" action="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>" class="jqtransform">
          <div class="row-fluid">
            <div class="span4">
              <label for="pais_envio"><?php echo __('País');?></label>
              <select id="pais_envio" name="pais_envio">
                <option value=""><?php echo __('Elige un país');?></option>
                <?php foreach ($this->cesta->paises_envio as $kpe=>$pe){?>
                <option <?php if ($kpe == $_SESSION[CLAVE_SECRETA]['site']['shop']['usuario']['pais']){?>selected="selected"<?php } ?> value="<?php echo $kpe;?>"><?php echo $pe;?></option>
                <?php } ?>
              </select>
            </div>
            <div class="span4">
              <label for="codigo_postal_envio"><?php echo __('Código Postal');?></label>
              <input type="text" id="codigo_postal_envio" name="codigo_postal_envio" value="<?php echo $_SESSION[CLAVE_SECRETA]['site']['shop']['usuario']['codigo_postal'];?>" placeholder="<?php echo __('Código Postal');?>" />
              <?php /*?><input type="text" value="" id="pais_envio" name="pais_envio" /><?php */?>
            </div>
            <div class="span4"> <br />
              <input type="submit" value="<?php echo __('Calcular');?>" id="submitcoupon" name="submitcoupon" class="btn btn-warning btn-large" />
            </div>
          </div>
          <input type="hidden" value="calcshipping" name="accion">
        </form>
        <?php /*?><div class="separate"></div>
    <label for="couponcode">Coupon code</label>
    <input type="text" value="" id="couponcode" name="couponcode" />
    <input type="submit" value="Apply" id="submitcoupon" class="sub" name="submitcoupon" /><?php */?>
        <?php } ?>
      </div>
    </div>
  </div>
</div>
<hr />
<div class="row-fluid">
  <div class="span5">
    <?php if (count($this->carrito->contenido_carrito) > 0 && !empty($this->carrito->contenido_carrito)){?>
    <input type="button" class="btn btn-primary" value="<?php echo __('Actualizar');?>" id="refresh_cart" name="updater" />
    <?php } ?>
  </div>
  <div class="span2">
    <a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'),1);?>" class="btn btn-primary"><?php echo __('Continuar comprando');?></a>
  </div>
  <div class="span5">
    <?php if (count($this->carrito->contenido_carrito) > 0 && !empty($this->carrito->contenido_carrito)){?>
    <?php if ($this->carrito->continuar_pedido() == true){?>
    <input type="button" class="btn btn-success btn-large pull-right" value="<?php echo __('Finalizar');?>" id="checkouter" name="checkouter" />
    <?php } } ?>
  </div>
</div>
<?php } ?>
