<?php
defined('CONF_URL_APP') or die;
?>

<div class="page-header">
  <h1><?php echo SistemaIdioma::Imprimir($this->producto->objeto->nombre);?></h1>
</div>
<div class="well">
  <div class="album-detail row-fluid"> 
    <!-- Album Detail Start -->
    <div class="album-detail-sec">
      <div class="span4"> <a href="#"><img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $this->producto->objeto->imagen_destacada;?>?width=300&height=300&cropratio=1:1&image=<?php echo CONF_URL_APP.$this->producto->objeto->imagen_destacada;?>" alt="<?php echo SistemaIdioma::Imprimir($this->producto->objeto->nombre);?>" /></a> </div>
      <div class="span8 desc">
      
      <div class="album-track-list pull-right">
      <div class="follow-us">
        <ul class="unstyled">
          <li>
            <div class="addthis_toolbox addthis_default_style "> <a class="addthis_counter addthis_pill_style"></a> </div>
          </li>
        </ul>
        <script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4f0d0827271d1c3b"></script> 
      </div>
    </div>
      
        <div class="productdata">
          <p class="release"><small><?php echo __('Categorías');?>:</small> <?php echo $this->producto->objeto->getcategorias(true);?></p>
          <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
          <div class="clear"></div>
          <h4 class="colr"><span class="label label-<?php if ($this->producto->objeto->stock > 0){?>success<?php } else {?>important<?php } ?>">
            <?php if ($this->producto->objeto->stock > 0){ echo __('En stock'); } else { echo __('Agotado'); }?>
            </span></h4>
            <div class="clearfix"></div>
          <?php } ?>
        </div>
        <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
        <p class="precio <?php if ($this->producto->objeto->getprecio_rebajado(true) > 0){?>rojo<?php } else {?>verde<?php } ?>">
        <?php if ($this->producto->objeto->getprecio_rebajado(true) > 0){?>
        <small class="oldprice"><?php echo Helpers::Importe($this->producto->objeto->getprecio());?>&euro;</small>
        <?php } ?>
        <span class="label label-important precio"><?php echo Helpers::Importe($this->producto->objeto->getprecio(true));?>&euro;</span> </p>
        <div class="clearfix"></div>
        <?php } ?>
        <p><small><?php echo __('SKU');?>:</small> <span class="label label-warning"><?php echo $this->producto->objeto->sku;?></span></p>
        <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
        <div class="quantity">
          <?php /*?><span><?php echo __('Cantidad');?>:</span><br><?php */?>
          <?php if ($this->producto->objeto->stock > 0){?>
          <div class="cantidad" style="float: left; margin-top: 6px;margin-bottom: 7px;">
            <input type="text" class="quantityinput cantidad-cesta cantidad-producto" id="quantityinput" name="cantidad" value="1"/>
          </div>
          <input style="margin-left: 10px;" type="button" class="shop_addtocart addtocart btn btn-large btn-success" id="addtocart" name="addtocart" value="<?php echo __('Añadir a la cesta');?>" __id_producto="<?php echo $this->producto->objeto->id;?>" __url_redirect="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>" />
          <?php } ?>
        </div>
        <?php } ?>
        <div class="clearfix"></div>
      </div>
    </div>
  </div>
</div>
<div class="row-fluid">
<div class="span12">
      <ul class="nav nav-tabs">
        <li class="active"><a href="#desc"><?php echo __('Descripción');?></a></li>
        <?php if (!empty($this->producto->vista->productos_relacionados)){?>
        <li><a href="#productos_relacionados"><?php echo __('Productos relacionados');?></a></li>
        <?php } ?>
      </ul>
      <div class="tab-content">
        <div class="tab-pane active" id="desc">
          <p> <?php echo SistemaIdioma::Imprimir($this->producto->objeto->contenido);?> </p>
        </div>
        <?php if (!empty($this->producto->vista->productos_relacionados)){?>
        	<div class="tab-pane" id="productos_relacionados">
          <ul class="thumbnails">
          <?php 
  $cuenta_pr = 1;
  foreach ($this->producto->vista->productos_relacionados as $pr1){
	  ?>
      		<li class="span4">
      <div class="thumbnail"> <img class="img-rounded" src="<?php echo CONF_URL_APP;?>image.php/<?php echo $pr1->imagen_destacada;?>?width=360&height=360&cropratio=1:1&image=<?php echo CONF_URL_APP.$pr1->imagen_destacada;?>" alt="">
        <div class="caption">
          <h4><a href="<?php echo $pr1->getLink();?>"><?php echo SistemaIdioma::Imprimir($pr1->nombre);?></a></h4>
          <?php /*?><p><small><?php echo __('SKU');?>:</small> <span class="label label-important"><?php echo $pr1->sku;?></span></p><?php */?>
          <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
          <p class="precio <?php if ($pr1->getprecio_rebajado(true) > 0){?>onsale<?php } else {?>green<?php } ?>">
            <?php if ($pr1->getprecio_rebajado(true) > 0){?>
            <small class="oldprice" style="text-decoration:line-through;"><?php echo Helpers::Importe($pr1->getprecio());?>&euro;</small>
            <?php } ?>
            <span class="label label-important precio"><?php echo Helpers::Importe($pr1->getprecio(true));?>&euro;</span> </p>
          <?php } ?>
          <?php if ($pr1->stock > 0 && $this->config['shop']['solo_catalogo'] == '0'){?>
          <a class="shop_addtocart btn btn-primary" href="javascript:;" __id_producto="<?php echo $pr1->id;?>" __url_redirect="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>"><?php echo __('AÑADIR A LA CESTA');?></a>
          <?php } else { ?>
          <a href="<?php echo $pr1->getLink();?>" class="btn btn-primary"><?php echo __('VER DETALLES');?></a>
          <?php } ?>
        </div>
      </div>
    </li>
      
      
        
          
          <?php 
	$cuenta_pr++;
	} ?>
          </ul>
        </div>
        
        <?php } ?>
      </div>
    </div>
</div>