<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Widget
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<div class="well">
	<h4 class="modal-header"><?php echo SistemaIdioma::Imprimir($widget->titulo);?></h4>
 <ul class="thumbnails row-fluid flickr-feed">
   <?php
// The Flickr account ID
$your_flickr_id =  $id_flickr; // Get your Flickr ID at http://idgettr.com/
// How many images will be displayed
$flickr_limit = 6;
// Seconds to cache feed (1 hour)
$flickr_cachetime = 60*60;
$cache_file = '../cache/flickr.txt';// Cache file
$cache_file_created = ((@file_exists($cache_file))) ? @filemtime($cache_file) : 0; // Time that the cache was last filled.
$images_found = false;
if (time() - $flickr_cachetime < $cache_file_created) {
// Show file from cache if still valid.
$images_found = true;// Display images from the cache.
@readfile($cache_file);	
} else {
	
	$url = "http://api.flickr.com/services/feeds/photos_public.gne?id=$your_flickr_id&format=rss";// Fetch the RSS feed from Flickr.
$ch = curl_init();// Initiate the curl session
curl_setopt($ch, CURLOPT_URL, $url);// Set the URL
curl_setopt($ch, CURLOPT_HEADER, 0);// Removes the headers from the output
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);// Return the output instead of displaying it directly
$rss_feed = curl_exec($ch);	// Execute the curl session
curl_close($ch);// Close the curl session
$rss_feed = @simplexml_load_string($rss_feed);// Parse the RSS feed to an XML object.
	if(isset($rss_feed)) {
		$image = $rss_feed->channel->item;
		
		if(count($image)) {// Error check: Make sure there is at least one item.
			ob_start();		// Start output buffering.	
			$output = "";	// Open the flickr wrapping element.
			$images_found = true;
			for($i=0; $i < $flickr_limit; $i++) {				
				preg_match('/<img[^>]*>/i', $image[$i]->description, $image_tag);// Get thumbnail size
				preg_match('/(?<=src=[\'|"])[^\'|"]*?(?=[\'|"])/i', $image_tag[0], $image_src);
				if (preg_match('/(_m.jpg)$/',$image_src[0])){
					$thumb = preg_replace('/(_m.jpg)$/', '_s.jpg', $image_src[0]);
					$big = preg_replace('/(_m.jpg)$/', '_b.jpg', $image_src[0]);
				} elseif(preg_match('/(_m.png)$/',$image_src[0])){
					$thumb = preg_replace('/(_m.png)$/', '_s.png', $image_src[0]);
						$big = preg_replace('/(_m.png)$/', '_b.png', $image_src[0]);
				} elseif(preg_match('/(_m.gif)$/',$image_src[0])){
					$thumb = preg_replace('/(_m.gif)$/', '_s.gif', $image_src[0]);
					$big = preg_replace('/(_m.gif)$/', '_b.gif', $image_src[0]);
				}
				$image_link = $image[$i]->link;
				$image_title = $image[$i]->title;
				$output .= "<li class='span3'><a href='$big' target='_blank' rel='flickr' title='$image_title'><img src='$thumb' alt='$image_title'></a></li>\n";
			}
			echo $output;	// Close the flickr wrapping element.
			$file = @fopen($cache_file, 'w');// Generate a new cache file.
			
			@fwrite($file, ob_get_contents()); // Save the contents of output buffer to the file, and flush the buffer. 
			@fclose($file); 
			ob_end_flush();
		}
	
	}
}
// In case the RSS feed did not parse or load correctly, show a link to the Flickr account.
if (!$images_found){
	echo $output = "<li>Oops, our Flickr feed is unavailable at the moment - <a href='http://flickr.com/$your_flickr_id/'>Check our images on Flickr!</a></li>";
}
			?>
   </ul>
</div>