<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Site
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<div class="well">
  <h4 class="modal-header"><?php echo SistemaIdioma::Imprimir($widget->titulo);?></h4>
  <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?>
  <ul class="nav nav-list">
    <?php foreach ( $cesta->get_carrito() as $cart_item_key => $values ) {
				$producto = $values['data'];
				if ( $producto->id!="" && $values['cantidad'] > 0 ) {
					?>
    <li>
      <?php /*?><div class="date"> <span><?php echo utf8_encode(strftime("%b", strtotime($evento->fecha_inicio))); ?>	</span>
        <h1><?php echo utf8_encode(strftime("%d", strtotime($evento->fecha_inicio))); ?></h1>
      </div><?php */?>
      <div class="desc" style="padding-left: 0px;">
        <div class="left" style="width: 100%;"> <a href="<?php echo $producto->getLink();?>"><img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $producto->imagen_destacada;?>?width=50&heigth=50&cropratio=1:1&image=<?php echo CONF_URL_APP.$producto->imagen_destacada;?>" class="inp" alt="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>" style="float: left;" /></a>
          <h5 class="list-item" style="margin-bottom: 0px;"><a href="<?php echo $producto->getLink();?>"><?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?></a></h5>
          <p class="list-item"><small class="inquantity">(x<?php echo $values['cantidad'];?>)</small> <b class="inprice"><?php echo Helpers::Importe($producto->getprecio(true));?> &euro;
            <?php if ($producto->getprecio_rebajado(true) > 0){?>
            <small class="oldprice">(<?php echo Helpers::Importe($producto->getprecio());?> &euro;)</small>
            <?php } ?>
            </b></p>
        </div>
        <?php /*?><a href="#" class="buttonone right">TICKETS</a><?php */?>
      </div>
      <hr />
    </li>
    <?php } } ?>
    <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?>
    <li class="pricedet"> <dl class="dl-horizontal"><dt><?php echo __('Sub-Total');?>:</dt><dd><?php echo $totales['subtotal_cesta'];?>&euro;</dd> 
    <?php if ($config_shop['impuestos']['activar_impuestos'] == '1' && $config_shop['impuestos']['mostrar_impuestos_carrito'] == '1'){?>
    <dt><?php echo __('IVA 18%');?>:</dt><dd><?php echo Helpers::Importe($totales['impuesto_cesta']);?>&euro;</dd>
    <?php } ?>
    <dt><?php echo __('Total');?></dt> <dd><?php echo $totales['total_cesta'];?>&euro;</dd></dl> <hr /> </li>
    <?php } ?>
  </ul>
  <?php } else { ?>
  <ul class="nav nav-list">
    <li><?php echo __('No hay productos en la cesta');?> <hr /></li>
  </ul>
  <?php }?>
  <a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'), 1);?>" class="btn btn-primary btn-mini"><?php echo __('VER MÁS PRODUCTOS');?></a> 
 <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta');?>" class="btn btn-primary btn-mini pull-right"><?php echo __('IR A LA CESTA');?></a>
</div>