<?php
defined('CONF_URL_APP') or die;
global $concursos;
$texto_corto = SistemaIdioma::Imprimir($this->concurso->objeto->texto_corto);
$contenido = SistemaIdioma::Imprimir($this->concurso->objeto->contenido);
$ganadores = SistemaIdioma::Imprimir($this->concurso->objeto->ganadores);
$finalizado = false;
if(strtotime($this->concurso->objeto->fecha_fin)<=strtotime("now") || $this->concurso->objeto->estado == 3){
	$finalizado = true;
}

$video_html = '';

$id_youtube = Helpers::extraer_id_youtube($contenido);

if ($id_youtube != false){
	$video_html = '
	<iframe src="http://www.youtube.com/embed/'.$id_youtube.'" frameborder="0" allowfullscreen></iframe>';
}
?>
<div class="page-header">
  <h1><?php echo SistemaIdioma::Imprimir($this->concurso->titulo); ?>
    <?php if($finalizado==true){?>
    <span class="label label-important"><?php echo __('FINALIZADO');?> </span>
    <?php } ?>
  </h1>
</div>
<?php if (!empty($this->concurso->objeto->imagen_destacada)){?>
<a data-toggle="lightbox" href="#imagen_destacada" title="<?php echo strip_tags(SistemaIdioma::Imprimir($this->concurso->titulo)); ?>"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $this->concurso->objeto->imagen_destacada;?>?width=1200&height=400&cropratio=1200:400&image=<?php echo CONF_URL_APP.$this->concurso->objeto->imagen_destacada;?>" alt="<?php echo strip_tags(SistemaIdioma::Imprimir($this->concurso->titulo)); ?>"> </a>
<div class="lightbox fade" id="imagen_destacada" style="display: none;">
  <div class='lightbox-content'> <img src="<?php echo CONF_URL_APP.$this->concurso->objeto->imagen_destacada;?>"> </div>
</div>
<?php } ?>
<hr />
<h4><?php if($finalizado==true){?><span class="label label-important"><?php echo __('FINALIZADO');?></span> <?php } ?><small class="date"><?php echo __('Del');?> <strong><?php echo utf8_encode(strftime("%A %d de %B del %Y", strtotime($this->concurso->objeto->fecha_inicio)));?></strong> <?php echo __('al');?> <strong><?php echo utf8_encode(strftime("%A %d de %B del %Y", strtotime($this->concurso->objeto->fecha_fin)));?></strong></small></h4>
<?php echo $video_html; ?><?php echo $contenido; ?>
<hr />
<?php if ($finalizado == true && !empty($ganadores)){?>
<h3 class="modal-header"><?php echo __('Ganadores');?></h3>
<div class="well"> <?php echo $ganadores; ?> </div>
<?php } ?>
