<?php
defined('CONF_URL_APP') or die;

if (!empty($this->categoria->titulo_dinamico))
	$titulo_pagina = $this->categoria->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = SistemaIdioma::Imprimir($this->categoria->nombre);
	else
		$titulo_pagina = $titulo_html;
?>

<div class="page-header">
  <h1><?php echo $titulo_pagina;?></h1>
</div>
<!-- end .page-header -->
<?php if ($this->categoria->items != false){?>
<div class="btn-toolbar">
	
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Orden');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->categoria->orden_alias=='nuevo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'nuevo'),true);?>"><?php echo __('Nuevo');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='antiguo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'antiguo'),true);?>"><?php echo __('Antiguo');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='a-z'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'a-z'),true);?>"><?php echo __('Título A-Z');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='z-a'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'z-a'),true);?>"><?php echo __('Título Z-A');?></a></li>
    </ul>
  </div>
  <div class="num_posts pull-left label label-info"> <span><?php echo $this->categoria->total_items;?></span> <?php echo $titulo_pagina;?> </div>
  <div class="clearfix"></div>
</div>
<br clear="all" />
<ul class="thumbnails" id="cat_events">
  <?php 
						$cuenta = 0;
foreach ($this->categoria->items as $evento){
	$txt_class='';
	if ($cuenta == 0){
		$txt_class=' class="featured"';
		$img_dest = $evento->getimagen_destacada('350','274');
	} else {
		$img_dest = $evento->getimagen_destacada('350','274');
	}
		
	$cuenta++;
	?>
  <li<?php echo $txt_class;?> style="margin-left:0;">
    <div class="well">
      <h2><a href="<?php echo $evento->getLink();?>" class="colr"><?php echo SistemaIdioma::Imprimir($evento->titulo);?></a> <small class="date"><?php echo strftime('%d.%m.%Y', strtotime($evento->fecha_inicio));?></small></h2>
      <div style="display:block">
        <?php if (!empty($img_dest)){?>
        <div class="thumb" style="display: inline-block;width: 25%;"> <a href="<?php echo $evento->getLink();?>"><img src="<?php echo $img_dest;?>" alt="" /></a></div>
        <?php } ?>
        <div class="desc" style="display: inline-block;<?php if (!empty($img_dest)){?>width: 70%;<?php } ?>">
          <?php $lugar = SistemaIdioma::Imprimir($evento->getlugar()); $direccion = $evento->getdireccion(); $codigo_postal = $evento->getcodigo_postal(); $localidad = $evento->getlocalidad(); $provincia = $evento->getprovincia(); $precio = $evento->getprecio();
		if (!empty($localidad) || !empty($provincia)){?>
          <p><b><?php if (!empty($lugar)) echo $lugar.', ';?><?php echo $localidad;?> (<?php echo $provincia;?>)</b></p>
          <?php } ?>
          <p> <?php echo strip_tags(SistemaIdioma::Imprimir($evento->texto_corto));?> </p>
          <a href="<?php echo $evento->getLink();?>" class="btn"><?php echo __('Ver detalles');?></a> </div>
        <div class="clearfix"></div>
      </div>
    </div>
  </li>
  <?php } ?>
</ul>
<?php } else { ?>
<p align="center"><?php echo __('No hay eventos');?></p>
<?php } ?>
<?php if ($this->categoria->paginacion != false){?>
<div class="breadcrumb">
<div class="pagination">
  <ul>
    <?php if ($this->categoria->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->categoria->paginacion['seccion_inicio']; $i <= $this->categoria->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->categoria->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->categoria->paginacion['actual'] < $this->categoria->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
</div>
<?php } ?>
