<?php
defined('CONF_URL_APP') or die;
?>

<div class="page-header">
  <h1><?php echo SistemaIdioma::Imprimir($album->objeto->titulo);?> <small><a href="<?php echo $album->objeto->getartista(false,true)->getLink();?>"><?php echo $album->objeto->getartista(true);?></a></small> </h1>
</div>
<p><small><?php echo __('Fecha de publicación');?>: </small> <?php echo strftime('%d/%m/%Y', strtotime($album->objeto->fecha_publicacion));?></p>
<div class="row-fluid">
<?php if (!empty($album->objeto->imagen_destacada)){?>
<div class="span4"> <a data-toggle="lightbox" href="#imagen_destacada" title="<?php echo strip_tags(SistemaIdioma::Imprimir($album->objeto->titulo));?>"><img class="rounded shadow" src="<?php echo CONF_URL_APP;?>image.php/<?php echo $album->objeto->imagen_destacada;?>?width=320&height=320&cropratio=1:1&image=<?php echo CONF_URL_APP.$album->objeto->imagen_destacada;?>" alt="<?php echo strip_tags(SistemaIdioma::Imprimir($album->objeto->titulo));?>" /> </a>
  <div class="lightbox fade" id="imagen_destacada" style="display: none;">
    <div class='lightbox-content'> <img src="<?php echo CONF_URL_APP.$album->objeto->imagen_destacada;?>"> </div>
  </div>
</div>
<?php } ?>
<?php if (!empty($album->objeto->imagen_destacada)){?>
<div class="span8">
  <?php } else {?>
  <div class="span12">
    <?php } ?>
    <?php echo SistemaIdioma::Imprimir($album->objeto->contenido);?> </div>
</div>
<div class="clearfix"></div>
<hr />
<?php
  if ($album->parametros['mostrar_pistas']){
		$pistas = $album->pistas;
  ?>
<ul class="nav nav-tabs">
  <li class="active"><a href="#canciones"><?php echo __('Canciones del disco');?></a></li>
  <?php if ((!empty($album->parametros['buy_link']) || !empty($album->parametros['itunes_link']) || !empty($album->parametros['jamendo_link']) || !empty($album->parametros['amazon_link'])) && ($album->parametros['mostrar_enlaces']=='1')){?>
  <li><a href="#enlaces"><?php echo __('Enlaces del disco');?></a></li>
  <?php } ?>
</ul>
<div class="tab-content">
  <div class="tab-pane active" id="canciones">
    <?php if ($pistas != false){?>
    <ol>
      <?php foreach ($pistas as $pista){
		  ?>
      <li><?php echo SistemaIdioma::Imprimir($pista->titulo);?> (<?php echo $pista->duracion;?>)</li>
      <?php } ?>
    </ol>
    <?php } ?>
  </div>
  <?php if ((!empty($album->parametros['buy_link']) || !empty($album->parametros['itunes_link']) || !empty($album->parametros['jamendo_link']) || !empty($album->parametros['amazon_link'])) && ($album->parametros['mostrar_enlaces']=='1')){?>
  <div class="tab-pane" id="enlaces">
    <ul class="unstyled">
      <?php if (!empty($album->parametros['buy_link'])){?>
      <li><small><?php echo __('Comprar');?>:</small> <a href="<?php echo $album->parametros['buy_link'];?>" target="_blank"><?php echo $album->parametros['buy_link'];?></a></li>
      <?php } ?>
      <?php if (!empty($album->parametros['jamendo_link'])){?>
      <li><small><?php echo __('Jamendo');?>:</small> <a href="<?php echo $album->parametros['jamendo_link'];?>" target="_blank"><?php echo $album->parametros['jamendo_link'];?></a></li>
      <?php } ?>
      <?php if (!empty($album->parametros['itunes_link'])){?>
      <li><small><?php echo __('iTunes');?>:</small> <a href="<?php echo $album->parametros['itunes_link'];?>" target="_blank"><?php echo $album->parametros['itunes_link'];?></a></li>
      <?php } ?>
      <?php if (!empty($album->parametros['amazon_link'])){?>
      <li><small><?php echo __('Amazon');?>:</small> <a href="<?php echo $album->parametros['amazon_link'];?>" target="_blank"><?php echo $album->parametros['amazon_link'];?></a></li>
      <?php } ?>
    </ul>
  </div>
  <?php } ?>
</div>
<?php } ?>
