<?php
defined('CONF_URL_APP') or die;

if (!empty($this->albums->titulo_dinamico))
	$titulo_pagina = $this->albums->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = __('Discos');
	else
		$titulo_pagina = $titulo_html;
		
?>

<div class="page-header">
  <h1><?php echo $titulo_pagina;?></h1>
</div>
<?php if ($this->albums->items != false){?>
<div class="btn-toolbar">
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Orden');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->albums->orden_alias=='nuevo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('orden'=>'nuevo'),true);?>"><?php echo __('Nuevo');?></a></li>
      <li><a <?php if ($this->albums->orden_alias=='antiguo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('orden'=>'antiguo'),true);?>"><?php echo __('Antiguo');?></a></li>
      <li><a <?php if ($this->albums->orden_alias=='a-z'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('orden'=>'a-z'),true);?>"><?php echo __('Título A-Z');?></a></li>
      <li><a <?php if ($this->albums->orden_alias=='z-a'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('orden'=>'z-a'),true);?>"><?php echo __('Título Z-A');?></a></li>
    </ul>
  </div>
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Estilo');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->albums->filtro_estilo==''){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('estilo_musica'=>''),true);?>"><?php echo __('Todos');?></a></li>
      <?php if ($this->albums->estilos != false){?>
      <?php foreach ($this->albums->estilos as $estilo_musica){?>
      <li><a  <?php if ($this->albums->filtro_estilo==SistemaIdioma::Imprimir($estilo_musica->alias)){?>class="active"<?php } ?> href="<?php echo $this->construir_url_albums(true,array('estilo_musica'=>SistemaIdioma::Imprimir($estilo_musica->alias)),true);?>"><?php echo SistemaIdioma::Imprimir($estilo_musica->nombre);?></a></li>
      <?php } ?>
      <?php } ?>
    </ul>
  </div>
  
  <?php if (count($this->albums->items) == 1){ $title = __('Album'); } else { $title = __('Albums'); }?>
<div class="num_posts pull-left label label-info"> <span><?php echo count($this->albums->items);?></span> <?php echo $title;?> </div>

  <div class="clearfix"></div>
</div>
<ul class="thumbnails">
  <?php 
$cuenta = 1;
foreach ($this->albums->items as $album){
	$params_album = Helpers::toArray(json_decode($album->params));
	if (empty($album->creador_alias))
		$album->creador_alias = $album->getcreador(true);
		
	if (strlen(strip_tags(SistemaIdioma::Imprimir($album->contenido))) > 150){
		$desc = substr(strip_tags(SistemaIdioma::Imprimir($album->contenido)),0,150).'...';
	} else {
		$desc = strip_tags(SistemaIdioma::Imprimir($album->contenido));
	}
	?>
  <li class="span4">
    <div class="well">
      <div style="display:block">
        <?php if (!empty($album->imagen_destacada)){?>
        <div class="thumb" style="margin-right: 0px;"> <a href="<?php echo $album->getLink();?>"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $album->imagen_destacada;?>?width=330&height=330&cropratio=1:1&image=<?php echo CONF_URL_APP.$album->imagen_destacada;?>" alt="<?php echo SistemaIdioma::Imprimir($album->titulo);?>" > </a></div>
        <?php } ?>
        <h4> <small><?php echo $album->getartista(true);?></small><br />
          <a href="<?php echo $album->getLink();?>"> <span>
          <?php echo strip_tags(SistemaIdioma::Imprimir($album->titulo)); ?>
          </span></a> </h4>
        <div class="desc" style="display: inline-block;<?php if (!empty($img_dest)){?>width: 70%;<?php } ?>">
          <p><?php echo $desc;?></p>
          <?php $tags_album = $album->getestilos(true,'',true); ?>
          <?php if ($tags_album != false){?>
          <p>
            <?php foreach ($tags_album as $tag){?>
            <a href="<?php echo $this->current_url.'/?estilo_musica='.SistemaIdioma::Imprimir($tag->getalias()); ?>" data-category="<?php echo SistemaIdioma::Imprimir($tag->nombre);?>" class="tag"><span class="label"><?php echo SistemaIdioma::Imprimir($tag->nombre);?></span> </a>
            <?php } ?>
          </p>
          <?php } ?>
        </div>
        <div class="clearfix"></div>
      </div>
    </div>
  </li>
  <?php } ?>
</ul>
<?php } else { ?>
<p align="center"><?php echo __('No hay discos');?></p>
<?php } ?>
<?php if ($this->albums->paginacion != false){?>
<div class="breadcrumb">
<div class="pagination">
  <ul>
    <?php if ($this->albums->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_albums(true,array("page"=>$this->albums->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->albums->paginacion['seccion_inicio']; $i <= $this->albums->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->albums->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_albums(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->albums->paginacion['actual'] < $this->albums->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_albums(true,array("page"=>$this->albums->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
</div>
<?php } ?>
