<?php
defined('CONF_URL_APP') or die;

?>

<div class="page-header">
  <h1><?php echo SistemaIdioma::Imprimir($artista->objeto->nombre);?></h1>
</div>
<div class="row-fluid">
  <div class="span7">
    <?php if (!empty($artista->parametros['imagen_destacada'])){?>
    <a data-toggle="lightbox" href="#imagen_destacada" title="<?php echo SistemaIdioma::Imprimir($artista->objeto->nombre);?>"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $artista->parametros['imagen_destacada'];?>?width=450&height=350&cropratio=450:350&image=<?php echo CONF_URL_APP.$artista->parametros['imagen_destacada'];?>" alt="<?php echo SistemaIdioma::Imprimir($artista->objeto->nombre);?>"> </a>
    <div class="lightbox fade" id="imagen_destacada" style="display: none;">
      <div class='lightbox-content'> <img src="<?php echo CONF_URL_APP.$artista->parametros['imagen_destacada'];?>"> </div>
    </div>
    <?php } ?>
    <small class="pull-right">
    <?php if (empty($artista->parametros['imagen_destacada'])){ ?>
    <?php echo __('* No disponemos de la imagen destacada de este grupo'); ?> <br />
    <?php } ?>
    <?php if(empty($artista->objeto->contenido)){ ?>
    <br />
    <?php echo __('* No disponemos de la descripción destacada de este grupo'); ?>
    <?php } ?>
    <br />
    </small> </div>
  <div class="span5">
    <h4 class="modal-header"><?php echo __('Estilo de Música');?></h4>
    <p><?php echo $artista->objeto->getestilos(true, ' / ');?></p>
    <?php if (!empty($artista->parametros['componentes'][SistemaIdioma::getIdiomasEsion()])){?>
    <h4 class="modal-header"><?php echo __('Componentes');?></h4>
    <?php echo $artista->parametros['componentes'][SistemaIdioma::getIdiomasEsion()];?>
    <?php } ?>
    <?php if (!empty($artista->localizacion)){?>
    <h4 class="modal-header"><?php echo __('Procedencia');?></h4>
    <p>
      <?php 
	$arr = array();
	foreach ($artista->localizacion['parseado'] as $tipo=>$valor){
		if ($tipo != 'pais'){
			$al = $artista->localizacion[$tipo]->getalias();
			$arr[] = /*'<a href="'.$this->construir_url_artistas(true,array($tipo=>$al),true).'">'.*/$valor/*.'</a>'*/;
		} else {
			//$al = Helpers::getPaises(array($artista->localizacion[$tipo]->id),'array', false);
			//$al = Helpers::parseaTexto($al[$artista->localizacion[$tipo]->id]);
			$arr[] = $valor;
			
		}
	}
	echo implode(', ', $arr);
	?>
    </p>
    <?php } ?>
    <?php if ((!empty($artista->parametros['web_link']) || !empty($artista->parametros['myspace_link']) || !empty($artista->parametros['jamendo_link']) || !empty($artista->parametros['facebook_link'])) && ($artista->parametros['mostrar_enlaces']=='1')){?>
    <h4 class="modal-header"><?php echo __('Enlaces del Grupo');?></h4>
    <ul class="unstyled">
      <?php if (!empty($artista->parametros['web_link'])){?>
      <li> <a href="<?php echo $artista->parametros['web_link'];?>" target="_blank" class="button"><?php echo __('Visitar Página web oficial');?></a> </li>
      <?php } ?>
      <?php if (!empty($artista->parametros['myspace_link'])){?>
      <li> <a href="<?php echo $artista->parametros['myspace_link'];?>" target="_blank" class="button"><?php echo __('Visitar MySpace');?></a> </li>
      <?php } ?>
      <?php if (!empty($artista->parametros['jamendo_link'])){?>
      <li> <a href="<?php echo $artista->parametros['jamendo_link'];?>" target="_blank" class="button"><?php echo __('Visitar Jamendo');?></a> </li>
      <?php } ?>
      <?php if (!empty($artista->parametros['facebook_link'])){?>
      <li> <a href="<?php echo $artista->parametros['facebook_link'];?>" target="_blank" class="button"><?php echo __('Visitar Facebook');?></a> </li>
      <?php } ?>
    </ul>
    <?php } ?>
    <?php if (!empty($artista->parametros['mp3'])){?>
    <h4 class="modal-header"><?php echo __('Mp3');?></h4>
    <?php if(substr($artista->parametros['mp3'],0,23)=='http://www.myspace.com/'){
		?>
    <a href="<?php echo $artista->parametros['mp3'];?>" target="_blank" class="button"><?php echo __('Escuchar en Myspace');?></a>
    <?php	
		} elseif (substr($artista->parametros['mp3'],0,23)=='http://www.youtube.com/') {
		?>
    <a href="<?php echo $artista->parametros['mp3'];?>" target="_blank" class="button"><?php echo __('Escuchar en Youtube');?></a>
    <?php	
		}  else { ?>
    <audio src="<?php echo $artista->parametros['mp3'];?>"></audio>
    <?php } ?>
    <?php } ?>
    <div class="clearfix"></div>
  </div>
</div>
<hr />
<?php
		if(!empty($artista->objeto->contenido)){
		 echo '<p>'.SistemaIdioma::Imprimir($artista->objeto->contenido).'</p>';} ?>
<?php if (count($artista->imagenes) > 0){?>
<h3 class="modal-header"><?php echo __('Imágenes');?></h3>
<ul class="thumbnails">
  <?php foreach ($artista->imagenes as $img){
		if (is_object($img)) $img = Helpers::toArray($img);
		?>
  <li class="span4"><a data-toggle="lightbox" href="#galeria_<?php echo Helpers::parseaTexto($img['img']);?>"  title="<?php echo $img['titulo'];?>" rel="galeria"><img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $img['img'];?>?width=189&height=113&cropratio=189:113&image=<?php echo CONF_URL_APP.$img['img'];?>" alt="<?php echo $img['titulo'];?>" title="<?php echo $img['titulo'];?>" width="189" height="113" />
    <h5 class="titulo_img"> <?php echo $img['titulo'];?> </h5>
    </a>
    <div class="lightbox fade" id="galeria_<?php echo Helpers::parseaTexto($img['img']);?>" style="display: none;">
      <div class='lightbox-content'> <img src="<?php echo CONF_URL_APP.$img['img'];?>"> </div>
    </div>
  </li>
  <?php } ?>
</ul>
<div class="clearfix"></div>
<?php } ?>
