<?php
defined('CONF_URL_APP') or die;

if (!empty($this->artistas->titulo_dinamico))
	$titulo_pagina = $this->artistas->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = __('Grupos');
	else
		$titulo_pagina = $titulo_html;
		
?>
<?php if ($this->artistas->total_items == 1){ $title = __('Grupo'); } else { $title = __('Grupos'); }?>

<div class="page-header">
  <h1><?php echo $titulo_pagina;?></h1>
</div>
<?php if ($this->artistas->items != false){?>
<div class="btn-toolbar">
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Orden');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->artistas->orden_alias=='nuevo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('orden'=>'nuevo'),true);?>"><?php echo __('Nuevo');?></a></li>
      <li><a <?php if ($this->artistas->orden_alias=='antiguo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('orden'=>'antiguo'),true);?>"><?php echo __('Antiguo');?></a></li>
      <li><a <?php if ($this->artistas->orden_alias=='a-z'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('orden'=>'a-z'),true);?>"><?php echo __('Título A-Z');?></a></li>
      <li><a <?php if ($this->artistas->orden_alias=='z-a'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('orden'=>'z-a'),true);?>"><?php echo __('Título Z-A');?></a></li>
    </ul>
  </div>
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Estilo');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->artistas->filtro_estilo==''){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('estilo_musica'=>''),true);?>"><?php echo __('Todos');?></a></li>
      <?php if ($this->artistas->estilos != false){?>
      <?php foreach ($this->artistas->estilos as $estilo_musica){?>
      <li><a  <?php if ($this->artistas->filtro_estilo==SistemaIdioma::Imprimir($estilo_musica->alias)){?>class="active"<?php } ?> href="<?php echo $this->construir_url_artistas(true,array('estilo_musica'=>SistemaIdioma::Imprimir($estilo_musica->alias)),true);?>"><?php echo SistemaIdioma::Imprimir($estilo_musica->nombre);?></a></li>
      <?php } ?>
      <?php } ?>
    </ul>
  </div>
  <div class="num_posts pull-left label label-info"> <span><?php echo count($this->artistas->items);?></span> <?php echo $title;?> </div>
  <div class="clearfix"></div>
</div>
<ul class="thumbnails">
  <?php 
$cuenta = 1;
foreach ($this->artistas->items as $artista){
	$params_artista = Helpers::toArray(json_decode($artista->params));
	if (empty($artista->creador_alias))
		$artista->creador_alias = $artista->getcreador(true);
		
	if (strlen(strip_tags(SistemaIdioma::Imprimir($artista->contenido))) > 150){
		$desc = substr(strip_tags(SistemaIdioma::Imprimir($artista->contenido)),0,150).'...';
	} else {
		$desc = strip_tags(SistemaIdioma::Imprimir($artista->contenido));
	}
	?>
  <li class="span6">
    <div class="well">
      <div style="display:block">
        <?php if (!empty($params_artista['imagen_destacada'])){?>
        <div class="thumb" style="margin-right: 0px;"> <a href="<?php echo $artista->getLink();?>"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo $params_artista['imagen_destacada'];?>?width=350&height=270&cropratio=350:270&image=<?php echo CONF_URL_APP.$params_artista['imagen_destacada'];?>" alt="<?php echo SistemaIdioma::Imprimir($artista->nombre);?>" > </a></div>
        <?php } ?>
        <h4><a href="<?php echo $artista->getLink();?>"> <span> <?php echo strip_tags(SistemaIdioma::Imprimir($artista->nombre)); ?> </span></a> </h4>
        <div class="desc" style="display: inline-block;<?php if (!empty($img_dest)){?>width: 70%;<?php } ?>">
          <p><?php echo $desc;?></p>
          <?php $tags_artista = $artista->getestilos(true,'',true); ?>
          <?php if ($tags_artista != false){?>
          <p>
            <?php foreach ($tags_artista as $tag){?>
            <a href="<?php echo $this->current_url.'/?estilo_musica='.SistemaIdioma::Imprimir($tag->getalias()); ?>" data-category="<?php echo SistemaIdioma::Imprimir($tag->nombre);?>" class="tag"><span class="label"><?php echo SistemaIdioma::Imprimir($tag->nombre);?></span> </a>
            <?php } ?>
          </p>
          <?php } ?>
        </div>
        <div class="clearfix"></div>
      </div>
    </div>
  </li>
  <?php } ?>
</ul>
<?php } else { ?>
<p align="center"><?php echo __('No hay grupos');?></p>
<?php } ?>
<?php if ($this->artistas->paginacion != false){?>
<div class="breadcrumb">
<div class="pagination">
  <ul>
    <?php if ($this->artistas->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_artistas(true,array("page"=>$this->artistas->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->artistas->paginacion['seccion_inicio']; $i <= $this->artistas->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->artistas->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_artistas(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->artistas->paginacion['actual'] < $this->artistas->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_artistas(true,array("page"=>$this->artistas->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
</div>
<?php } ?>
