<?php
defined('CONF_URL_APP') or die;

if (count($this->categoria->items) == 1 )
	$lbl_count = __('Item');
else
	$lbl_count = __('Items');
	
if (!empty($this->categoria->titulo_dinamico))
	$titulo_pagina = $this->categoria->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = SistemaIdioma::Imprimir($this->categoria->nombre);
	else
		$titulo_pagina = $titulo_html;
?>

<?php if (count($this->categoria->items) == 1){ $title = __('Producto'); } else { $title = __('Productos'); }?>

<div class="page-header">
  <h1><?php echo $titulo_pagina;?></h1>
</div>
<div class="row-fluid">
  <?php if ($this->categoria->items != false){?>
  <div class="btn-toolbar">
  <div class="btn-group pull-right">
    <button class="btn dropdown-toggle" data-toggle="dropdown"><?php echo __('Orden');?> <span class="caret"></span></button>
    <ul class="dropdown-menu">
      <li><a <?php if ($this->categoria->orden_alias=='nuevo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'nuevo'),true);?>"><?php echo __('Nuevo');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='antiguo'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'antiguo'),true);?>"><?php echo __('Antiguo');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='a-z'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'a-z'),true);?>"><?php echo __('Título A-Z');?></a></li>
      <li><a <?php if ($this->categoria->orden_alias=='z-a'){?>class="active"<?php } ?> href="<?php echo $this->construir_url_categoria(true,array('orden'=>'z-a'),true);?>"><?php echo __('Título Z-A');?></a></li>
    </ul>
  </div>
  <div class="num_posts pull-left label label-info"> <span><?php echo $this->categoria->total_items;?></span> <?php echo $title;?> </div>
  <div class="clearfix"></div>
</div>

  <ul class="thumbnails">
    <?php 
			$cuenta = 1;
			foreach ($this->categoria->items as $producto){
				if (empty($producto->creador_alias))
					$producto->creador_alias = $producto->getcreador(true);
				?>
    <li class="span4">
        <div class="well"> 
        <div style="display: block;">
        <div class="thumb" style="margin-right: 0px;">
        <img class="img-rounded" src="<?php echo CONF_URL_APP;?>image.php/<?php echo $producto->imagen_destacada;?>?width=360&height=360&cropratio=1:1&image=<?php echo CONF_URL_APP.$producto->imagen_destacada;?>" alt="">
        </div>
          <div class="caption">
            <h4><a href="<?php echo $producto->getLink();?>"><?php echo SistemaIdioma::Imprimir($producto->nombre);?></a></h4>
            <?php /*?><p><small><?php echo __('SKU');?>:</small> <span class="label label-important"><?php echo $producto->sku;?></span></p><?php */?>
            <?php if ($this->config['shop']['solo_catalogo'] == '0'){?>
            <p class="precio <?php if ($producto->getprecio_rebajado(true) > 0){?>onsale<?php } else {?>green<?php } ?>">
              <?php if ($producto->getprecio_rebajado(true) > 0){?>
              <small class="oldprice" style="text-decoration:line-through;"><?php echo Helpers::Importe($producto->getprecio());?>&euro;</small>
              <?php } ?>
              <span class="label label-important precio"><?php echo Helpers::Importe($producto->getprecio(true));?>&euro;</span> </p>
            <?php } ?>
            <?php if ($producto->stock > 0 && $this->config['shop']['solo_catalogo'] == '0'){?>
            <a class="shop_addtocart btn btn-primary" href="javascript:;" __id_producto="<?php echo $producto->id;?>" __url_redirect="<?php echo $_SESSION[CLAVE_SECRETA]['site']['lastUrl'];?>"><?php echo __('AÑADIR A LA CESTA');?></a>
            <?php } else { ?>
            <a href="<?php echo $producto->getLink();?>" class="btn btn-primary"><?php echo __('VER DETALLES');?></a>
            <?php } ?>
          </div>
        </div>
        </div>
    </li>
    <?php } ?>
  </ul>
  <?php } ?>
</div>
<?php if ($this->categoria->paginacion != false){?>
<div class="breadcrumb">
<div class="pagination">
  <ul>
    <?php if ($this->categoria->paginacion['actual'] > 1){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria->paginacion['actual']-1));?>"><?php echo __('«');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('«');?></a></li>
    <?php } ?>
    <?php for ($i=$this->categoria->paginacion['seccion_inicio']; $i <= $this->categoria->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->categoria->paginacion['actual']){?> class="active"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->categoria->paginacion['actual'] < $this->categoria->paginacion['total']){?>
    <li><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->categoria->paginacion['actual']+1));?>"><?php echo __('»');?></a></li>
    <?php } else { ?>
    <li class="disabled"><a href="javascript:;"><?php echo __('»');?></a></li>
    <?php } ?>
  </ul>
</div>
</div>
<?php } ?>
