<?php
defined('CONF_URL_APP') or die;
?>

<header class="page-header">
  <h1><?php echo __('Identificarse');?></h1>
</header>
<?php if (isset($mensaje) && !empty($mensaje)){?>
<p class="<?php echo $mensaje['tipo'];?>"><?php echo $mensaje['txt'];?></p>
<?php } ?>
<div class="row-fluid">
  <div class="span6 well">
    <h2><?php echo __('Nuevos usuarios');?></h2>
    <p><?php echo __('Al crear una cuenta en nuestra web, podrás moverte a través del proceso de compra más rápidamente, almacenar varias direcciones de envío, ver y rastrear tus pedidos y más.');?></p>
    <br>
    <a href="<?php echo Helpers::resolveLink(false,'ext_usuarios','register',__('Registrarse'),0,'1columna');?>" class="btn btn-primary pull-right"><?php echo __('Crear una cuenta');?></a> 
    <div class="clearfix"></div>
    </div>
  <div class="span6 well pull-right">
    <h2><?php echo __('Usuario registrados');?></h2>
    <p><?php echo __('Si tienes una cuenta con nosotros, por favor inicia sesión.');?></p>
    <form action="<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS.'/ext_usuarios/tools/login.php'; ?>" method="post" class="form-horizontal" style="margin-bottom:0px;">
      <fieldset>
        <div class="control-group">
          <label for="focusedInput" class="control-label"><?php echo __('Email');?></label>
          <div class="controls">
            <input type="text" placeholder="<?php echo __('Introduce tu email');?>" id="email" name="email" class="span12 focused">
          </div>
        </div>
        <div class="control-group">
          <label class="control-label"><?php echo __('Contraseña');?></label>
          <div class="controls">
            <input type="password" placeholder="<?php echo __('Introduce tu contraseña');?>" id="password" name="password" class="span12">
          </div>
        </div>
        <div class="control-group" style="margin-bottom:0px;">
            <div class="controls">
              <label class="checkbox pull-right">
                <input type="checkbox" name="recordar" value="1"> <?php echo __('Recordarme'); ?>
              </label>
              <div class="clearfix"></div>
              <button type="submit" class="btn btn-primary pull-right"><?php echo __('Identificarse'); ?></button>
            </div>
          </div>
        
        <input type="hidden" name="return" value="<?php echo Helpers::currentURL();?>" />
      </fieldset>
    </form>
  </div>
</div>
