<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Widget
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
 
?>
<?php if(count($eventos) > 0 && is_array($eventos)){?>

  <?php if (!empty($widget->titulo)){?>
  <h4 class="modal-header"><?php echo SistemaIdioma::Imprimir($widget->titulo);?></h4>
  <?php } ?>
  <ul class="thumbnails" id="cat_events">
    <?php 
						$cuenta = 0;
foreach ($eventos as $evento){
	$txt_class='';
	if ($cuenta == 0){
		$txt_class=' class="featured"';
		$img_dest = $evento->getimagen_destacada('350','274');
	} else {
		$img_dest = $evento->getimagen_destacada('350','274');
	}
		
	$cuenta++;
	?>
    <li<?php echo $txt_class;?> style="margin-left:0;">
      <div class="well">
        <h2><a href="<?php echo $evento->getLink();?>" class="colr"><?php echo SistemaIdioma::Imprimir($evento->titulo);?></a> <small class="date"><?php echo strftime('%d.%m.%Y', strtotime($evento->fecha_inicio));?></small></h2>
        <div style="display:block">
          <?php if (!empty($img_dest)){?>
          <div class="thumb" style="display: inline-block;width: 25%;"> <a href="<?php echo $evento->getLink();?>"><img src="<?php echo $img_dest;?>" alt="" /></a></div>
          <?php } ?>
          <div class="desc" style="display: inline-block;<?php if (!empty($img_dest)){?>width: 70%;<?php } ?>">
            <?php $lugar = SistemaIdioma::Imprimir($evento->getlugar()); $direccion = $evento->getdireccion(); $codigo_postal = $evento->getcodigo_postal(); $localidad = $evento->getlocalidad(); $provincia = $evento->getprovincia(); $precio = $evento->getprecio();
		if (!empty($localidad) || !empty($provincia)){?>
            <p><b>
              <?php if (!empty($lugar)) echo $lugar.', ';?>
              <?php echo $localidad;?> (<?php echo $provincia;?>)</b></p>
            <?php } ?>
            <p> <?php echo strip_tags(SistemaIdioma::Imprimir($evento->texto_corto));?> </p>
            <a href="<?php echo $evento->getLink();?>" class="btn"><?php echo __('Ver detalles');?></a> </div>
          <div class="clearfix"></div>
        </div>
      </div>
    </li>
    <?php } ?>
  </ul>
<?php } ?>
