<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Widget
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
 if ($comentarios == 0)
 	$com_count = 0;
elseif (is_array($comentarios))
	$com_count = count($comentarios);
else
	$com_count = 0;
?>
<!-- Post Comments -->
<?php if (($opciones_comentarios['general']['mostrar_identificados'] == '0') || (Usuario::isLoged()!=false && $opciones_comentarios['general']['mostrar_identificados'] == '1')){?>

<a id="comentarios"></a>
<?php if ($com_count > 0){?>
<h3 class="modal-header"><?php echo __('Comentarios');?> <small>(<?php echo $com_count;?>)</small></h3>
<!-- Comment Entries -->
<ul class="comments-list nav nav-list">
  <?php foreach ($comentarios as $comentario){
		$creador_obj = $comentario->getcreador(true,true);
		
		if (!empty($creador_obj->imagen)){
			$imagen_parseada = CONF_URL_APP . 'image.php/' .$creador_obj->imagen . '?width=54&height=54&cropratio=1:1&image=' . CONF_URL_APP . $creador_obj->imagen;
		} else {
			$imagen_parseada = CONF_URL_APP . 'image.php/images/iconos/anonimo.png?width=54&height=54&cropratio=1:1&image=' . CONF_URL_APP . 'images/iconos/anonimo.png';
		}
		
		?>
  <!-- Comment Entry -->
  <li class="comment">
    <div class="row-fluid">
      <div class="span1"> <img src="<?php echo $imagen_parseada;?>" alt="<?php echo $comentario->getcreador(true);?>" width="54" height="54" /> </div>
      <div class="span11">
        <h5 class="author"><a href="javascript:;"><?php echo $comentario->getcreador(true);?></a> <small class="date"><?php echo strftime('%d-%m-%Y %H:%M', strtotime($comentario->fecha));?></small></h5>
        
        <div class="comment-body">
          <p><strong><?php echo $comentario->asunto;?></strong><br />
            <?php echo $comentario->contenido;?></p>
        </div>
      </div>
    </div>
    <hr />
  </li>
  <?php } ?>
</ul>

<?php } else {?>
<p align="center">
  <?php __('No hay comentarios');?>
</p>
<hr />
<?php } ?>

<?php if (($opciones_comentarios['general']['permitir_identificados'] == '0') || (Usuario::isLoged()!=false && $opciones_comentarios['general']['permitir_identificados'] == '1')){?>
<div id="respond">
  <form action="javascript:send_form();" enctype="multipart/form-data" method="post" class="comments-form" id="frmComentario">
    <legend><?php echo __('Deja un comentario');?></legend>
    <?php if (Usuario::isLoged()) $id_creador = Usuario::getLogedId(); else $id_creador = 0; ?>
    <?php if (Usuario::isLoged()) $nombre_creador = Usuario::getLoged()->nombre; else $nombre_creador = ''; ?>
    <?php if (Usuario::isLoged()) $email_creador = Usuario::getLoged()->email; else $email_creador = ''; ?>
    <input type="hidden" name="creador" value="<?php echo $id_creador;?>" />
    <input type="hidden" name="extension" value="<?php echo $_GET['extension'];?>" />
    <input type="hidden" name="vista" value="<?php echo $_GET['vista'];?>" />
    <?php if (empty($_GET['id'])) $id_elemento = 0; else $id_elemento = $_GET['id']; ?>
    <input type="hidden" name="id_elemento" value="<?php echo $id_elemento;?>" />
    <div class="row-fluid">
      <div class="span4">
        <label for="comment-name"><strong><?php echo __('Nombre');?></strong> (*)</label>
        <input type="text" name="name" id="name" placeholder="<?php echo __('Nombre');?>" value="<?php echo $nombre_creador;?>" required class="span12"  />
      </div>
      <div class="span4">
        <label for="email"><strong><?php echo __('Email');?></strong> (*)</label>
        <input type="email" name="email" id="email" placeholder="<?php echo __('Email');?>" value="<?php echo $email_creador;?>"  required="" class="span12" />
      </div>
      <div class="span4">
        <label for="comment-url"><strong><?php echo __('Página Web');?></strong></label>
        <input type="url" name="url" value="" id="comment-url" placeholder="<?php echo __('Página Web');?>" class="span12" >
      </div>
    </div>
    <div class="row-fluid">
      <div class="span12">
        <label for="subject"><strong><?php echo __('Asunto');?></strong> (*)</label>
        <input type="text" name="subject" id="subject" placeholder="<?php echo __('Asunto');?>" class="span12" required />
      </div>
    </div>
    <div class="row-fluid">
      <div class="span12">
        <label for="comment"><strong><?php echo __('Mensaje');?></strong> (*)</label>
        <textarea class="input required span12" name="comment" id="comment"  cols="88" rows="6" required placeholder="<?php echo __('Mensaje');?>" ></textarea>
      </div>
    </div>
    <div class="row-fluid">
      <div class="span12">
        <?php
		require_once(CONF_REALPATH_APP.CONF_DIR_THEMES."/sistema/js/captcha/recaptchalib.php");
		$publickey = "6LdatdQSAAAAAF5RY5_4UPRpMO2OkGPRdgP2vteh"; // you got this from the signup page
		echo recaptcha_get_html($publickey);
		?>
      </div>
    </div>
    <hr />
    <div class="row-fluid">
      <div class="span12">
        <button type="submit" name="add_comment" id="add_comment" class="btn pull-right btn-large btn-primary"> <span><?php echo __('Publicar Comentario');?></span> </button>
        <span class="help-block pull-left">* <?php echo __('Los campos marcados con un * son obligatorios');?></span> </div>
    </div>
  </form>
</div>
<hr />
<script>
  //Validate the Recaptcha' Before continuing with POST ACTION
function validateCaptcha()
{
	challengeField = $("input#recaptcha_challenge_field").val();
	responseField = $("input#recaptcha_response_field").val();
	var html = $.ajax({
		type: "POST",
		url: "<?php echo CONF_URL_APP.CONF_DIR_THEMES;?>/sistema/js/captcha/validateform.php",
		data: "form=signup&recaptcha_challenge_field=" + challengeField + "&recaptcha_response_field=" + responseField,
		async: false
		}).responseText;
	if(html == "success") {
		return true;
	} else {
		alert('<?php echo __('El código Captcha no coincide');?>');
		Recaptcha.reload();
		return false;
	}
}
function send_form(){
	if (validateCaptcha()){
		// Make AJAX request 
		$('#frmComentario').attr('action', '<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS;?>/ext_comentarios/tools/new_comment.php');
		$('#frmComentario').submit();
	}
}
</script>
<?php } ?>
<?php } ?>
