<?php
defined('CONF_URL_APP') or die;

if (!Usuario::isLoged()):
	?>

 <ul class="nav pull-right">
          <li class="dropdown">
            <a class="dropdown-toggle " href="#" data-toggle="dropdown"><?php echo __('Acceder');?> <strong class="caret"></strong></a>
            <div class="dropdown-menu" style="padding: 15px; padding-bottom: 0px;">
            
            <form action="<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS.'/ext_usuarios/tools/login.php'; ?>" method="post" accept-charset="UTF-8" style="color: black;">
  <input name="email" id="email" placeholder="<?php echo __('Email');?>" style="margin-bottom: 15px;" type="text" size="30" />
  <input id="password" name="password" placeholder="<?php echo __('Contraseña');?>" style="margin-bottom: 15px;" type="password" size="30" />
  <input id="user_remember_me" style="float: left; margin-right: 10px;" type="checkbox" name="recordar" value="1" />
  <label class="string optional" for="user_remember_me">  <?php echo __('Recordarme');?></label>
 
  <input class="btn btn-primary" style="clear: left; width: 100%; height: 32px; font-size: 13px;" type="submit" name="commit" value="<?php echo __('Acceder');?>" />
  <small><a style="text-align: center;" href="<?php echo Helpers::resolveLink(false,'ext_usuarios','register',__('Registrarse'),0,'1columna');?>"><?php echo __('Aun no tengo una cuenta');?></a></small>
</form>
           </div>  
          </li>
        </ul>
<?php
else:

c_include('usuario');
$usuario_activo = new Usuario();
$usuario_activo->setid(Usuario::getLogedId());


if ($usuario_activo = $usuario_activo->BuscarId()){
}

$paises = Helpers::getPaises(array(), 'array', true);
$provincias = array();
$localidades = array();

if (!empty($usuario_activo)){
	if (!empty($usuario_activo->pais)){
		if (is_int(intval($usuario_activo->pais)) && intval($usuario_activo->pais) > 0){
			c_include('loc/provincia');
			$provs_tmp = new Provincia();
			$provs_tmp_c = $provs_tmp->ListarCount('estado=1 AND pais_id='.$usuario_activo->pais);
			if ($provs_tmp_c > 0){
				$provincias = $provs_tmp->Listar('estado=1 AND pais_id='.$usuario_activo->pais,'provincia','ASC');
			}
		}
	}
	if (!empty($usuario_activo->provincia)){
		if (is_int(intval($usuario_activo->provincia)) && intval($usuario_activo->provincia) > 0){
			c_include('loc/localidad');
			$locs_tmp = new Localidad();
			$locs_tmp_c = $locs_tmp->ListarCount('estado=1 AND provincia_id='.$usuario_activo->provincia);
			if ($provs_tmp_c > 0){
				$localidades = $locs_tmp->Listar('estado=1 AND provincia_id='.$usuario_activo->provincia,'localidad','ASC');
			}
		}
	}
}

if (!empty($usuario_activo->imagen)){
	$imagen_parseada = CONF_URL_APP . 'image.php/' . $usuario_activo->imagen . '?width=100&height=100&cropratio=1:1&image=' . CONF_URL_APP . $usuario_activo->imagen;
} else {
	$imagen_parseada = CONF_URL_APP . 'image.php/images/iconos/anonimo.png?width=100&height=100&cropratio=1:1&image=' . CONF_URL_APP . 'images/iconos/anonimo.png';
}

$nombre_user = '';
if (!empty($usuario_activo->nombre)){
	$nombre_user = $usuario_activo->nombre;
} elseif (!empty($usuario_activo->username)){
	$nombre_user = $usuario_activo->username;
} else {
	$nombre_user = $usuario_activo->email;
}


?>

<ul class="nav pull-right">
          <li class="dropdown">
            <a class="dropdown-toggle " href="#" data-toggle="dropdown"><?php echo __('Mi cuenta');?> <strong class="caret"></strong></a>
            <div class="dropdown-menu row-fluid" style="padding: 15px; min-width: 250px;">
            	<div class="span4">
                	<img class="thumbnail" src="<?php echo $imagen_parseada;?>"  />
                </div>
                
                <div class="span8">
                
                	<ul class="nav nav-list">
                    	<li class="nav-header"><?php echo __('Bienvenido,').' '.$nombre_user;?></li>
                    <form action="<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS.'/ext_usuarios/tools/logout.php'; ?>" method="post" style="margin-bottom:0;">
                    	<li><a href="javascript:;" onclick="javascript:$(this).parent().parent().submit();" type="submit" class="logout_but"><?php echo __('Cerrar sesión');?></a></li>
                        <input type="hidden" name="return" value="<?php echo CONF_URL_APP;?>" />
                    </form>
                    </ul>
                    
                </div>
            
            </div>
            
            </li>
            </ul>


<?php
endif;